/*
------------------------------------------------------------------
Provider:  Zip-Codes.com
Product:   U.S. ZIP Code Database Business - Multi County
------------------------------------------------------------------
This SQL Creates a new table named MultiCounty, 
related indexes, and extended column information.

This script is designed to work with MS SQL Server 2000 & 2005

Actions:
  1.) Drop Table MultiCounty if it exists
  2.) Creates Table named MultiCounty
  3.) Creates Indexes on table MultiCounty

Last Updated: 8/1/2012
------------------------------------------------------------------
*/


/* 1.) Drop Table if it Exists */
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[MultiCounty]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[MultiCounty]
GO


/* 2.) Create Table */
CREATE TABLE [dbo].[MultiCounty] (
	[ZipCode] [char] (5) NOT NULL,
	[StateFIPS] [char] (2),
	[State] [char] (2),
	[CountyFIPS] [char] (3),
	[County] [varchar] (255)
) ON [PRIMARY]
GO


/* 3.) Create Indexes on most searched fields */
CREATE  INDEX [Index_MultiCounty_ZipCode]				 ON [dbo].[MultiCounty]([ZipCode]) ON [PRIMARY]
CREATE  INDEX [Index_MultiCounty_StateFIPS]				 ON [dbo].[MultiCounty]([StateFIPS]) ON [PRIMARY]
CREATE  INDEX [Index_MultiCounty_State]					 ON [dbo].[MultiCounty]([State]) ON [PRIMARY]
CREATE  INDEX [Index_MultiCounty_CountyFIPS]			 ON [dbo].[MultiCounty]([CountyFIPS]) ON [PRIMARY]
CREATE  INDEX [Index_MultiCounty_County]				 ON [dbo].[MultiCounty]([County]) ON [PRIMARY]
GO

