/*
------------------------------------------------------------------
Provider:  Zip-Codes.com
Product:   U.S. ZIP Code Database Business - Multi County
------------------------------------------------------------------
This SQL Creates a new table named MultiCounty, 
related indexes, and extended column information.

This script is designed to work with MySQL

Actions:
  1.) Drop Table MultiCounty if it exists
  2.) Creates Table named MultiCounty
  3.) Creates Indexes on table MultiCounty

Last Updated: 8/1/2012
------------------------------------------------------------------
*/


/* 1.) Drop Table if it Exists */
DROP TABLE IF EXISTS MultiCounty;


/* 2.) Create Table */
CREATE TABLE MultiCounty (
	ZipCode char(5) NOT NULL,
	StateFIPS char(2) NULL,
	State char(2) NULL,
	CountyFIPS char(3) NULL,
	County varchar(255) NULL
);


/* 3.) Create Indexes on most searched fields */
CREATE INDEX Index_MultiCounty_ZipCode					 ON MultiCounty (ZipCode);
CREATE INDEX Index_MultiCounty_StateFIPS				 ON MultiCounty (StateFIPS);
CREATE INDEX Index_MultiCounty_State					 ON MultiCounty (State);
CREATE INDEX Index_MultiCounty_CountyFIPS				 ON MultiCounty (CountyFIPS);
CREATE INDEX Index_MultiCounty_County					 ON MultiCounty (County);
